%global distro amzn1

Name:           nodejs-stable-release
Version:        1
Release:        1.%{distro}
Summary:        Node.js for Fedora Stable Release Repository Configuration

Group:          System Environment/Base
License:        MIT
URL:            http://nodejs.tchol.org/
Source1:        nodejs-stable-amzn1.repo
Source2:        RPM-GPG-KEY-tchol
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
Node.js for Fedora provides stable releases of Node.js for Fedora, Red Hat
Enterprise Linux, CentOS, Scientific Linux, and Amazon Linux.


%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
rm -rf %{buildroot}

# Create dirs
install -d -m755 \
  %{buildroot}%{_sysconfdir}/pki/rpm-gpg  \
  %{buildroot}%{_sysconfdir}/yum.repos.d

# GPG Key
%{__install} -Dp -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-nodejs-stable-%{distro}

# Yum .repo files
%{__install} -p -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/yum.repos.d/nodejs-stable.repo


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Sun Jan 29 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1-1
- initial support for Amazon Linux
